Package org.apache.cxf.common.spi

# Class ClassLoaderProxyService

java.lang.Object
org.apache.cxf.common.spi.ClassLoaderProxyService

All Implemented Interfaces:
  `ClassLoaderService`

Direct Known Subclasses:
  `ClassLoaderProxyService.GenerateJustInTime`, `ClassLoaderProxyService.LoadFirst`

public class ClassLoaderProxyService extends Object implements ClassLoaderService

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ClassLoaderProxyService.GenerateJustInTime`
  `class`
  `ClassLoaderProxyService.LoadFirst`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassLoaderProxyService(Bus bus)`
  `ClassLoaderProxyService(NamespaceClassCreator srv)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `createNamespaceWrapperInstance(Class<?> mcls, Map<String,String> map)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassLoaderProxyService

    public ClassLoaderProxyService(Bus bus)

  - ### ClassLoaderProxyService

    public ClassLoaderProxyService(NamespaceClassCreator srv)

- ## Method Details

  - ### createNamespaceWrapperInstance

    public Object createNamespaceWrapperInstance(Class<?> mcls, Map<String,String> map)
    Specified by:
      `createNamespaceWrapperInstance` in interface `ClassLoaderService`